Get recurring detection report
GET /api/v1/programmatic/reports/recurring-detection
/api/v1/programmatic/reports/recurring-detectionReturns transaction patterns that may be recurring.
Code examples
curl --request GET \
--url 'https://api.tetri.app/api/v1/programmatic/reports/recurring-detection' \
--header 'Authorization: Bearer $TETRI_API_TOKEN'Responses
{
"data": {
"type": "recurring_detection",
"id": "<string>",
"attributes": {
"analysis_period_end": "2026-07-12",
"analysis_period_start": "2026-07-12",
"analysis_period_months": 0,
"detected": [
{
"description_pattern": "<string>",
"suggested_name": "<string>",
"avg_amount": "<string>",
"frequency": "weekly",
"count": 0,
"last_date": "2026-07-12",
"amount_variance": "<string>",
"suggested_action": "create_subscription"
}
],
"total_estimated_monthly_agg": {
"per_currency": [
{
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"count": 0
}
],
"home_converted": {
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"fx_partial": false,
"missing_fx_count": 0,
"rate_date": "2026-07-12"
}
},
"fx_partial": false,
"missing_fx_count": 0
},
"window": {
"applied_months": 0,
"earliest_visible_date": "2026-07-12",
"plan": "free",
"requested_range": "recent",
"truncated_by_plan": false
}
}
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}